
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>用PHP发送MIME邮件(二) / iVAN</title>

    <meta name="description" content="用PHP发送MIME邮件(二) mime &quot;好,如何创建符合MIME的信息呢?&quot; 通过上面的一般性的描述,让我们现在看一下所谓的MIME信息到底是什么! 最简单的MIME信息 这个信息没有任何段,也就是,没有附件.然而,因为它是一个MIME消息,它必须有必要的头. From: php@php.net To: 'Alex (the Great)' &lt;alex@greece.net&gt; Subject: Bucephalus MIME-Version: 1.0 Hello Alexander, How ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">用PHP发送MIME邮件(二)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>mime</p>
<p>"好，如何创建符合MIME的信息呢？" 　　通过上面的一般性的描述，让我们现在看一下所谓的MIME信息到底是什么！</p>
<p>最简单的MIME信息 <br />　　这个信息没有任何段，也就是，没有附件。然而，因为它是一个MIME消息，它必须有必要的头。</p>
<p>From: php@php.net <br />To: 'Alex (the Great)' &lt;alex@greece.net&gt; <br />Subject: Bucephalus <br />MIME-Version: 1.0</p>
<p>Hello Alexander,</p>
<p>How's Bucephalus doing?</p>
<p>　　这里面没有什么，它只是一个简单的拥有MIME头的符合RFC-822 <br />的信息（文本邮件）。注意，如果没有 <br />指定Content-Type头，则假设为Content-Type: text/plain;charset='us-ascii'!当然，它有些简单，复杂 <br />一些的如下：</p>
<p>From: 'Alex (the Great)' &lt;alex@greece.net&gt; <br />To: php@php.net <br />Subject: re: Bucephalus <br />MIME-Version: 1.0 <br />Content-Type: image/jpg; <br />name='buce.jpg' <br />Content-Transfer-Encoding: base64 <br />Content-Description: Take a look at him yourself</p>
<p>&lt;.....base64 encoded jpg image of Bucephalus...&gt;</p>
<p>　　"嗨，但是我想发送一个word文档和一张我的小狗的图片在同一封邮件中... <br />！"一个用户说！如果是真 <br />的，上面的那个例子就太简单了，并且它没有足够的内容来支持爱好者和现代邮件处理方面的需要。实际上， <br />许多的邮件客户端软件甚至不能显示描述字段！</p>
<p>　　这就是我们所面临的"多部分信息"。</p>
<p>多部分信息（Multipart Messages） <br />　　这个概念允许在一封邮件中发送多条项目。例如，假设Alexander想要给php@php.net发送一封他的马的 <br />照片的邮件，同时还附带有马的家族图谱及精彩的说明！这样一个简单的要求没有多部分消息的概念是无法 <br />被满足的。在这种情况下，我们创建了一个使用Content-Type的信息头的封装来支持邮件的不同部分，以便 <br />收信人得到图片，家族图谱和精彩的说明！</p>
<p>　　Content-Type 头现在拥有一个"multipart"的值，它表示这是一个完整的邮件信息并且这个头只封装了 <br />信息。而且它还有一个"mixed"的子类型（毕竟图片，家族图谱和7bit文本信息是不同的类型，对吗？）。</p>
<p>　　让我们看一下整个图片看上去象：</p>
<p>From: 'Alex (the Great)' &lt;alex@greece.net&gt; <br />To: php@php.net <br />Subject: re: Bucephalus <br />MIME-Version: 1.0 <br />Content-Type: multipart/mixed; <br />boundary="XX-1234DED00099A"; <br />Content-Transfer-Encoding: 7bit</p>
<p>This is a MIME Encoded Message</p>
<p>--XX-1234DED00099A <br />Content-Type: text/plain; charset=us-ascii <br />Content-Transfer-Encoding: 7bit</p>
<p>Hi PHP,</p>
<p>Attached you will find my horse, Bucephalus', pedigree chart and photo.</p>
<p>Alex</p>
<p>--XX-1234DED00099A <br />Content-Type: image/jpg; <br />name="buce.jpg"; <br />Content-Transfer-Encoding: base64 <br />Content-Description: "A photo of Bucephalus"</p>
<p>&lt;.....base64 encoded jpg image of Bucephalus...&gt;</p>
<p>--XX-1234DED00099A <br />Content-Type: application/octet-stream; <br />name="pedigree.doc" <br />Content-Transfer-Encoding: base64 <br />Content-Description: "Pedigree Chart of the great horse"</p>
<p>&lt;.....base64 encoded doc (pedigree.doc) of Bucephalus...&gt;</p>
<p>--XX-1234DED00099A--</p>
<p>　　哟，看上去很复杂，不是吗？不管怎样，让我们浏览一遍细节吧：</p>
<p>如果你注意到了在MIME信息头中的Content-Transfer-Encoding，为"7bit"。因为Content-Type为 <br />multipart/mixed，编码应该是7bit，8bit或二进制中的一种，7bit是一种广泛使用的格式。 <br />象这样一条信息包含了多种信息。客户程序是如何知道JPG图片，文档和普通文本之间的区别呢？你会 <br />注意到在Content-Type后面有一个boundary="XX-1234DED00099A"参数。这个值用来分离邮件中的不同 <br />部分。它叫做MIME边界标记。边界标记的值必须尽可能的唯一，以免在超出邮件范围时发生混乱。 <br />"警告"信息（译者：指"This is a MIME Encoded <br />Message"）在那里是为了让不符合MIME的客户程序 <br />能够把它显示给用户，否则他们就不理解一个空白邮件是什么意思。 <br />现在，回到边界标记。如果你观察这个简单的邮件，会发现边界标记（XX-1234DED00099A在每一个分 <br />都出现了，也就是，在每部分之间都使用了一个边界标记，然而，每个边界标记都以两个连接符开始。 <br />很重要的一点需要注意的就是在最后一个MIME段的后面，边界标记不仅仅以那两个边接符作为开始， <br />同时也以它俩作为结束。这一点一定不能忘记，因为它定义了邮件的范围。 <br />让我们看一下前两个MIME段： <br />第一段是普通文本信息，因此Content-Type为text/plain，并且编码为7bit（我们也可以省略它， <br />因为如果不指明它也会默认为如此）。 <br />第二个就是JPEG图片。相应的表示为Content-Type: image/jpg。name="buce.jpg"（出现在 <br />Content-Type的后面，称之为参数），指出了文件的名字；它就是可以在客户程序中看到的附件 <br />的名字。如果不给出name="buce.jpg" <br />，描述字段（如果给出）将作为附件的名字显示出来（然 <br />而，在所有客户程序中它不是统一的做法）。 <br />注意JPEG <br />图片可以在邮件件中被显示出来，如果客户程序可以显示行内附件。或者，你可以向客户程 <br />指明你想如何显示附件。例如，如果存在</p>
<p>Content-Disposition: attachment 头，JPEG图片将被显示为一个附件图标。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 13:02:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e9%82%ae%e4%bb%b6/" title="邮件">邮件</a>, <a href="https://www.iamivan.net/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.iamivan.net/tag/%e8%be%b9%e7%95%8c/" title="边界">边界</a>, <a href="https://www.iamivan.net/tag/mime/" title="mime">mime</a>, <a href="https://www.iamivan.net/tag/content-type/" title="Content-Type">Content-Type</a>, <a href="https://www.iamivan.net/tag/1-0%e9%82%ae%e4%bb%b6%e5%8f%91%e9%80%81/" title="1&period;0邮件发送">1&period;0邮件发送</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>用PHP发送MIME邮件(二)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/gpkBZoM.html" rel="bookmark">用PHP发送MIME邮件&lpar;六&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mime 值得说明的其它两个方法是print_mail()和send_mail(),两个都使用了$force参数.print_mail()输 出整个邮件信息,send_mail()使用PHP的mail()函数发送信息.可选的,send_mail()使用了一个SMTP对象 和它的发送方法(由用户指定)来发送邮件. 结论 创建一个符合MIME的信息不象看上去那么复杂,可以通过一个相当简单的方式来实现.MIME消息可以给 许多的站点带来新气象. 我们在上面开发的类覆盖了核心思想,并且它可以被扩展,唯一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbK93np.html" rel="bookmark">用PHP发送MIME邮件&lpar;三&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mime MIME 类 在有了这些基础之后,让我们用PHP创建和实现一个MIME邮件类.在我们的PHP库函数中,已经有了编码 所必须的工具. MIME类必须能够: 增加附件 对每一个独立的请求,对所附的数据进行编码 创建MIME段/头 生成一个包含MIME段/头的完整的邮件 将整个邮件作为字符串返回 用本地的邮件处理程序进行发送(或选择调用一个SMTP邮件处理程序) 这个类叫做MIME_mail.我们将讨论类的方法,在理论与实际的差距中建立起桥梁.(阅读建议:Luis Argerich的PHP的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzD9jOb.html" rel="bookmark">用PHP发送MIME邮件&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mime 已经厌倦了给你的朋友和客户发送那些单调乏味的文本通知和信件了吗?曾经考虑过发送附件或在邮中嵌入HTML吧 答案就是MIME.接下来的几页解释了MIME的基础知识,创建符合MIME的信息,然后用一个可以工作的PHP 类结束,这个类实现了发送符合MIME邮件.注意对调用脚本,调用者等等的引用表示使用了将要开发的类的 脚本,客户程序/MUA等等表示邮件阅读的客户程序或邮件使用代理程序. 一些MIME基础 MIME表示多用途Internet邮件扩允协议.MIME扩允了基本的面向文本的Inter			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnjJ0p.html" rel="bookmark">在PHP中发送MIME邮件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				综述:编写邮件系统或邮件列表程序是PHP应用的一个大的分支,既管PHP提供了简单的用于发email的函数,但在实际应用中,会涉及到发送带附件的邮件.测试用户输入的email地址的有效性,尤有必要用专门的章节来讲述. MIME是什么? MIME表示多用途Internet邮件扩允协议.MIME扩允了基本的面向文本的Internet邮件系统,以便可以在消息中包含二进制附件. RFC822在消息体的内容中做了一点限制:就是只能使用简单的ASCII文本.所以,MIME信息由正常的Internet文本邮件组			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYGBlz.html" rel="bookmark">用PHP发送MIME邮件&lpar;四&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mime 核心:方法 我们将MIME信息头的生成,MIME段头的生成和最终的邮件消息的生成分成几个模块.方法的实现是直接从我们前面遇到的MIME基础而来的. &lt;?php function attach($data, $description = &quot;&quot;, $contenttype = OCTET, $encoding = BASE64, $disp = '') { if (empty($data)) return 0; if (trim($contenttype) == '') $			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdV4mb.html" rel="bookmark">用PHP发送MIME邮件&lpar;五&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mime 我们将考查的下一个方法是,build_message(),它占据了整个工作的大部分,但它是通过一个 gen_email()的方法来调用的.请注意build_message()是一个私有方法. &lt;?php function build_message() { $msg = &quot;&quot;; $boundary = 'PM'.chr(rand(65, 91)).'------'.md5(uniqid(rand())); # 边界标识 $nparts = sizeof($this-&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1nrob.html" rel="bookmark">发现一个发送mime邮件的类2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;?php/*    include &quot;mime_mail.inc&quot;;    $filename     = &quot;testfile.jpg&quot;;    $content_type = &quot;image/jpeg&quot;;    # 坐取磁碟彦的 JPEG			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKWnab.html" rel="bookmark">Exchange Server 2010行为管理（二）需审批才可发送外部邮件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.现在我们继续创建一条传输规则,发送给外面的邮件需要进行审批核实才能发送出去 2.勾选&quot;from a member of distribution list &quot; 3.按&quot;distribution list&quot;,选定&quot;Internet_Group@albert.iego.cn&quot;通讯组,继续勾选&quot;send to a member of distribution list&quot;选定&quot;Test01_Group@albert.ie			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZdVDoM.html" rel="bookmark">android-如何把SD卡中的图像发送到邮件正文中？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何把SD卡中的图像发送到邮件正文中? 我想把图像添加到邮件正文中,在邮件中不使用附件. String imagepath ; Imagepath = Environment.getExternalStorageDirectory()+ File.separator + &quot;ImagesCmas/&quot;+image_name; final Intent sendIntent = new Intent(Intent.ACTION_SEND); sendIntent.setType(&			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMldOMx.html" rel="bookmark" class="title">hdu 1527</a>
					<div>
						题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=1527 hint:威佐夫博弈 基本类似于模板 #include &lt;iostream&gt; #in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx2kRz.html" rel="bookmark" class="title">代码-动态规划问题，求答案</a>
					<div>
						问题描述 动态规划问题,求答案 Description 一个国家有n个城市(n不超过1000),一名旅行家住在最西边的城市里,他希望不重不漏地将每个城市浏览一遍.他的路线将是先向东经过一些城市到达最东 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqrVkp.html" rel="bookmark" class="title">GOLIVE5&period;0教程（五十一）</a>
					<div>
						教程 步骤三.进入GoLive 5中后,参见图4-44创建一个Text Frame,然后按下键盘上的Ctrl + V组合键,粘贴Windows剪切板中的字符. 图4-44 粘贴Windows剪切板中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXLjyp.html" rel="bookmark" class="title">WEBJX资源分享&colon;2010年度最优秀的jQuery插件</a>
					<div>
						文章简介:作为一个非常优秀的javascript框架,在过去的2010年jQuery插件家族有增加了非常多的优秀成员.世界各地的网站开发者买都在使用jQuery和jQuery插件来让我们的网页开发项目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0Vynz.html" rel="bookmark" class="title">Linux防火墙程序设计</a>
					<div>
						Yahoo.eBay.CNN.com.Amazon.Buy.com和E*Trade等著名商业网站连续遭到黑客攻击,造成了数以十亿美元的损失,向世人再一次敲响了网络并不安全的警钟.防火墙作为一种网络或系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOy5AM.html" rel="bookmark" class="title">php读取csc文件并输出</a>
					<div>
						  本文给大家分享的是php读取csc文件并输出的方法,方法一用到的是fgetcsv函数,方法二用到是fopen函数,有需要的小伙伴可以参考下. 方法一: ? 1 2 3 4 5 6 7 8 9 10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balyn2z.html" rel="bookmark" class="title">Win8应用商店报错的解决方法</a>
					<div>
						Win8应用商店报错的解决方法: 1.我们先打开应用商店哦! 2.我们应用装了多少? 装了Win 8的系统怎么能不安装几个应用试试?但是我安了多少应用了呢?这个怎么看啊?还是那句话查查边边角角~其实右 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRexVz.html" rel="bookmark" class="title">A notepad made in HTA&lpar;hta实现的记事本&rpar;</a>
					<div>
						这个记事本可以在Win9x中运行,并且处理更大的文件.可以通过修改html修改页面,喜欢学习hta的朋友可以参考下   This notepad can handle bigger files tha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24rykp.html" rel="bookmark" class="title">wradio社交电台电脑版如何下载安装</a>
					<div>
						  wradio社交电台节目形式多样化,精彩节目让你应接不暇,还有各路气质主播陪你度过漫漫无尽的加班之夜!Wradiofm社交电台是全球最新鲜.最时尚.最潮的电台语音分享交友社区平台,这是一个语音的世 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZNk7z.html" rel="bookmark" class="title">【JSP开发】通过response的writer流输出数据的问题</a>
					<div>
						package cn.edu.Response; import java.io.IOException; import java.io.PrintWriter; import javax.servle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7JGOM.html" rel="bookmark" class="title">全链路压测-大促备战核武器</a>
					<div>
						全链路压测被誉为大促备战的&quot;核武器&quot;,如果之前有关注过阿里双11相关的技术总结,对&quot;全链路压测&quot;一定不会陌生,这个词的出场率几乎100%,从对双11稳定性的价值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7lJKz.html" rel="bookmark" class="title">java-数据库连接单例和连接池效率区别在哪？</a>
					<div>
						问题描述 数据库连接单例和连接池效率区别在哪? 数据库连接问题.new一个数据库的连接对象是耗时耗资源的,因此不可能对每个请求都做一遍连接创建和关闭的操作,网上给的方法一般采用连接池.我的疑问就是,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P3Nvp.html" rel="bookmark" class="title">日本禁止政府和大学使用谷歌地图：因钓鱼岛等岛屿标记</a>
					<div>
						2013年7月24日,中国海警巡逻船 2506进入钓鱼岛海域毗邻水域进行巡航执法.图片来源:11TH REGIONAL COAST GUARD / HANDOUT/CFP国际在线专稿:据韩国YTN电视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEr0dz.html" rel="bookmark" class="title">《AutoCAD全套园林图纸绘制自学手册》一第2章　AutoCAD 2013入门2&period;1　操作界面</a>
					<div>
						第2章 AutoCAD 2013入门 AutoCAD全套园林图纸绘制自学手册 本章导读 在本章中,我们开始循序渐进地学习AutoCAD 2013绘图的有关基本知识:了解如何设置图形的系统参数.样板图, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N4EWz.html" rel="bookmark" class="title">Oracle cloud control 12c 的启动与关闭</a>
					<div>
						    Oracle cloud control 12c整个安装比较复杂,光是安装路径的选择,登录密码,端口号等众多个配置不免让人眼花缭乱,目不暇接.本文描述的是安装完毕后如何获取安装时设定的各类端口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlqlGp.html" rel="bookmark" class="title">Visual Studio 2010构建Web浏览器应用程序</a>
					<div>
						2001年,我使用C#中的WebBrowser ActiveX控件编写了我的第一个应用程序,点此阅读,Kapil Sony写了一篇文章介绍了C# 2.0中的WebBrowser控件,每一次.NET新版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2REWZb.html" rel="bookmark" class="title">JSP表单提交给servlet，获取表单数据</a>
					<div>
						问题描述 在一个JSP表单内有单选框.复选框.输入框等,在servlet获取值,怎么办?以下的JSP文件大概意思概括如下:从数据库取出所有数据放入Iterator,然后根据每一条数据的类型显示为单选. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40vdLz.html" rel="bookmark" class="title">云存储怎样解决数据中心存储问题</a>
					<div>
						现在对于大型的数据中心来讲还有一种应用方式就是针对个人用户,以及在企业内部用户级数据的管理. 我们知道电信的数据机房里面,我们的存储设备我们的服务器是为专用的设备进行使用的,很少有针对个人用户来进行服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJRQOp.html" rel="bookmark" class="title">知名公司拿我的开源软件（ XXL-JOB）申请国家知识专利，我该怎么办？</a>
					<div>
						请大家理智对待,不要发表过激言论 感谢各位的关注,相关事情已经委托&quot;开源中国&quot;处理,正在和对方沟通中.我们的诉求只有两点: 1.对方撤销专利.(专利发明人已积极道歉并,且勿网络暴力 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK50GOp.html" rel="bookmark" class="title">2017年中国互联网企业百强出炉 梆梆安全领跑移动安全行业</a>
					<div>
						2017年8月3日,中国互联网协会.工业和信息化部信息中心联合发布了&quot;2017年中国互联网企业100强&quot;排行榜.腾讯.阿里巴巴.百度.京东等传统互联网豪强再次占据榜首位置,而梆梆安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkxEqM.html" rel="bookmark" class="title">在竞争中不断突破，Instagram 的&OpenCurlyDoubleQuote;变&rdquo;与&OpenCurlyDoubleQuote;不变&rdquo;</a>
					<div>
						  编者按:Instagram 联合创始人凯文·斯特罗姆和 Mike Krieger 从 2010 年旧金山 39 号码头的一家技术孵化器开始为 Instagram 1.0 编写代码,短短一年半后,I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnREQWp.html" rel="bookmark" class="title">不能加载母版页</a>
					<div>
						问题描述 这个系统是书本里面的系统,我想把它放到自己电脑上运行.系统本身是用vs2008和sql2005开发,我电脑是vs2010和sql2008R2完整版,一运行就出现这个问题,不知道是不是版本不兼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWqnGM.html" rel="bookmark" class="title">imageview-ImageView放入图片后宽高变化</a>
					<div>
						问题描述 ImageView放入图片后宽高变化 屏幕尺寸1920*1080,图片尺寸也是1920*1080,图片放入一个ImageView中然后获得的ImageView的却是1845*1080,而且宽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX085Ap.html" rel="bookmark" class="title">Windows移动开发（四）&mdash;&mdash;闭关修炼</a>
					<div>
						很久不写博客了,不是因为不想写,只是最近公司任务比较多,终于十一有时间出来冒泡了. 今天继续介绍移动开发中的重中之重--内存管理. C#代码是托管代码,C# 程序员很少像C/CPP程序员那样为程序资源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7PmKz.html" rel="bookmark" class="title">如果验证用户输入是否在0&period;00 - 1000&period;00 之间呢？</a>
					<div>
						问题描述 下面是我的代码,但是不起作用.&lt;asp:RangeValidatorID=&quot;rngQuoteIn&quot;runat=&quot;server&quot;Display=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE83XM.html" rel="bookmark" class="title">SAP如何设置保存格式的权限</a>
					<div>
						问题描述 如何设置SAP的ALV的保存格式的权限我们用ALV显示是,不同的用户需要显示的内容不同?每一个用户希望把自己需要的格式设置好,然后保存这个设置.现在出现一个问题,我的保存格式这里的&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xyAKb.html" rel="bookmark" class="title">《Android应用开发攻略》&mdash;&mdash;2&period;11 设置首次运行的首选项</a>
					<div>
						2.11 设置首次运行的首选项 Ashwini Shahapurkar2.11.1 问题 因为应用程序匿名收集应用程序使用情况,所以你有义务在用户第一次运行应用程序时告知他们.2.11.2 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvVj4M.html" rel="bookmark" class="title">WordPress 调用 jQuery一些方法小结</a>
					<div>
						文中将讲解调用 jQuery 的几种方法,当然都是针对 WordPress 的,请自行按喜好进行选择: WP 的 jQuery 和原版唯一的不同, 就是在最后一行加了  代码如下 复制代码 jQuer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6xqgM.html" rel="bookmark" class="title">新算法能将网页加载速度提高 34&percnt;</a>
					<div>
						MIT计算机科学和人工智能实验室与哈佛的研究人员开发了名为Polaris的 算法,能减少34%总页面加载时间.当我们访问一个网站,首先是在浏览器地址栏输入域名,DNS服务器将域名转换成托管网站的服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Nk36z.html" rel="bookmark" class="title">世贸天阶老总吉增和被前妻起诉分财产几十亿身家曝光</a>
					<div>
						吉增和与现任妻子孟广美举行订婚仪式.(资料图片)图/CFP台湾女星孟广美的丈夫.世贸天阶董事长吉增和在离婚两年多后,被前妻张女士诉至法院.前妻要求再分割与吉增和的婚前共同财产,预计数额达十几亿元.记者 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
